quilt
Search…
quilt.yml requirements
Just as you can use requirements.txt to specify code dependencies, you can use quilt.yml to specify data package dependencies.

Install dependencies

1
$ quilt install [@FILENAME=quilt.yml]
2
# If @FILENAME is absent, default to ./quilt.yml
Copied!
Installs a list of packages specified by a YAML file.

Syntax

The YAML file must contain a packages node with a list of packages:
1
packages:
2
- USER/PACKAGE[/SUBPACKAGE][:h[ash]|:t[ag]|:v[ersion]][:HASH|TAG|VERSION]
Copied!

Example

1
packages:
2
- vgauthier/DynamicPopEstimate # latest
3
- danWebster/sgRNAs:a972d92 # specific hash
4
- examples/sales:tag:latest # specific tag
5
- asah/snli:v:1.0 # specific version
Copied!
Last modified 2yr ago